gmp_import
gmp_intval
GMP Functions
PHP Manual

# gmp_init

(PHP 4 >= 4.0.4, PHP 5, PHP 7)

gmp_init — Create GMP number

### Description

GMP gmp_init ( mixed `$number` [, int `$base` = 0 ] )

Creates a GMP number from an integer or string.

### Parameters

`number`

  An integer or a string. The string representation can be decimal, hexadecimal or octal.

`base`

  The base.

  The base may vary from 2 to 36. If base is 0 (default value), the actual base is determined from the leading characters: if the first two characters are 0x or 0X, hexadecimal is assumed, otherwise if the first character is "0", octal is assumed, otherwise decimal is assumed.

### Return Values

A GMP number resource in PHP 5.5 and earlier, or a GMP object in PHP 5.6 and later.

### Changelog

Version | Description
--- | ---
5.3.2 | The `base` was extended from 2 to 36, to 2 to 62 and -2 to -36.

### Notes

> Note:

> To use the extended base introduced in PHP 5.3.2, then PHP must be compiled against GMP 4.2.0 or greater.

### Examples

Example #1 Creating GMP number

`<?php
$a = gmp_init(123456);
$b = gmp_init("0xFFFFDEBACDFEDF7200");
?>`

### Notes

> Note:

> It is not necessary to call this function in order to use integers or strings in place of GMP numbers in GMP functions (such as with gmp_add()). Function arguments are automatically converted to GMP numbers, if such conversion is possible and needed, using the same rules as gmp_init().

gmp_import
gmp_intval
GMP Functions
PHP Manual